Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.template
Class Template

    java.lang.Object
      org.apache.struts2.components.template.Template

All Implemented Interfaces:
  Cloneable

    public class Template

extends Object
implements Cloneable

A template.

A template is used as a model for rendering output. This object contains basic common template information

Constructor Summary
`Template(String dir, String theme, String name)` Constructor.

Method Summary
`protected Object` | `clone()`
`boolean` | `equals(Object o)`
`String` | `getDir()`
`String` | `getName()`
`List<Template>` | `getPossibleTemplates(TemplateEngine engine)`
`String` | `getTheme()`
`int` | `hashCode()`
`String` | `toString()` Constructs a string in the format `/dir/theme/name`.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Template

    public Template(String dir,
                    String theme,
                    String name)

  Constructor.

  Parameters:
    `dir` - base folder where the template is stored.
    `theme` - the theme of the template
    `name` - the name of the template.

Method Detail

### getDir

    public String getDir()

### getTheme

    public String getTheme()

### getName

    public String getName()

### getPossibleTemplates

    public List<Template> getPossibleTemplates(TemplateEngine engine)

### toString

    public String toString()

  Constructs a string in the format `/dir/theme/name`.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string in the format `/dir/theme/name`.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.